Support » Plugin: Contact Form 7 Honeypot » Honeypot not comatible with CF7 3.6

Viewing 9 replies - 1 through 9 (of 9 total)
  • packjazz –

    I had this same problem. CF7 updated their add_shortcode action to go through wpcf7_init instead of plugins_loaded.

    If you update the the honeypot.php on line 32 to show:

    add_action('wpcf7_init', 'wpcf7_honeypot_loader', 10);

    instead of what’s currently there and save it – it should fix the issue 🙂

    Plugin Author Ryan

    (@daobydesign)

    Thanks packjazz for bringing it to my attention, and thanks Erin for posting the fix.

    New version, 1.4, is now in the repository and will fix this problem (no need to edit the code yourself).

    Thanks Erin and Ryan!

    Ryan, is there anywhere I can donate money to the plugin as a thank you for your quick response?

    Plugin Author Ryan

    (@daobydesign)

    If you feel so inclined, you can buy me a coffee 🙂

    nick@bonamer.com

    (@nickbonamercom)

    Hi There,

    I am using honeypot for the first time and am having the same problem packjazz was– Seeing the honeypot shortcode on the live site. I’m running honeypot 1.6 and CF7 2.4.5. on WP 3.8.1. Any idea why?

    Thanks in advance.

    nick@bonamer.com

    (@nickbonamercom)

    Uh, sorry to waste your time! My plugins manager said CF7 was up to date but as I clicked post I realized CF7 is up to v 3.6… I will reinstall and that will likely fix it!

    Thanks again!

    CF7 3.3.3 + Honeypot 1.6

    Fatal error: Class ‘WPCF7_Shortcode’ not found in /PATH-TO-WORDPRESS-INSTALLATION/wp-content/plugins/contact-form-7-honeypot/honeypot.php on line 59

    That’s the shortcode handler. Maybe something I missed here?

    I deactivated Honeypot and CF7 works ok — is it no longer possible to use Honeypot with that version of CF7?

    Plugin Author Ryan

    (@daobydesign)

    @mbzo2006 — there’s a very good possibility that the latest version of Honeypot and an older version of CF7 would be incompatible. CF7 introduced some code changes recently, and the Honeypot plugin was updated to reflect that.

    I suggest upgrading to the latest version of CF7 — is there any technical reason you haven’t? Otherwise, the only solution for compatibility would be to install an older version of Honeypot — I’d start with v1.5, but you may have to go back to v1.3: http://wordpress.org/plugins/contact-form-7-honeypot/developers/

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Honeypot not comatible with CF7 3.6’ is closed to new replies.